
Redmine - Defect #21219

Date pickers images for start/due date fields are not shown for issues with subtasks

2015-11-11 16:47 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.1.4   

Resolution: Fixed Affected version: 3.1.1

Description

Precondintion:

Assure that you have in admin the setting "Parent task attributes > Start date / Due date" set to "Independent of subtasks"

Steps to reproduce:

1. Add a new issue

2. Add a subtask to that issue

3. Return to the parent issue

4. Edit

5. Observe that the fields start date and due date are shown, but the images for date pickers are missing.

Attached date_pickers.png.

Installation details:

Environment:

Redmine version                3.1.1.stable.14617

Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux]

Rails version                  4.2.4

Environment                    production

Database adapter               Mysql2

Tried without any plugin installed and the same behavior.

Related issues:

Has duplicate Redmine - Defect #24698: "Icon for Datepicker" does not appear ... Closed

Associated revisions

Revision 14973 - 2015-12-13 15:53 - Jean-Philippe Lang

Display calendar for dates independent of subtasks (#21219).

Patch by Codrut Constantin Gusoi.

Revision 14978 - 2015-12-19 08:58 - Jean-Philippe Lang

Merged r14973 (#21219).

Revision 14979 - 2015-12-19 08:59 - Jean-Philippe Lang

Merged r14973 (#21219).

History

#1 - 2015-11-16 13:36 - Marius BĂLTEANU

The issue reproduces also on 3.1.2 version.

#2 - 2015-12-09 12:05 - Anonymous

- File 0001-Display-calendar-for-dates-independent-of-subtasks.patch added

I've attached a patch with the fix.
#3 - 2015-12-09 13:22 - Marius BĂLTEANU

Tested the patch on 3.1.2 and the issue is fixed.

#4 - 2015-12-11 08:18 - Toshi MARUYAMA

- Target version set to 3.2.1

#5 - 2015-12-13 15:54 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from 3.2.1 to 3.1.4

- Resolution set to Fixed

Thanks.

#6 - 2015-12-19 08:59 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#7 - 2016-12-27 09:06 - Go MAEDA

- Has duplicate Defect #24698: "Icon for Datepicker" does not appear if the issue has a child issue (or issues). added

Files

date_pickers.png 4.75 KB 2015-11-11 Marius BĂLTEANU

0001-Display-calendar-for-dates-independent-of-subtasks.patch 1.21 KB 2015-12-09 Anonymous

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

http://www.tcpdf.org

